/*
 * Copyright (c) 2002, 2003 Red Hat, Inc. All rights reserved.
 *
 * This software may be freely redistributed under the terms of the
 * GNU General Public License.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: Liam Stewart
 * Component of: Visual Explain GUI tool for PostgreSQL - Red Hat Edition
 */

package com.redhat.rhdb.treedisplay;

/**
 * The listener interface for receiving TreeDisplay events. Methods
 * wanting to recieve notification of {@link TreeDisplayEvent
 * TreeDisplayEvents} should implement this interface and register
 * themselves with {@link TreeDisplay} objects.
 *
 * @author <a href="mailto:liams@redhat.com">Liam Stewart</a>
 * @version 0.0
 */

public interface TreeDisplayListener extends java.util.EventListener {
	/**
	 * Called when a zoom has occurred in a TreeDisplay object.
	 *
	 * @param e a <code>TreeDisplayEvent</code> value
	 */
	public void treeDisplayZoomed(TreeDisplayEvent e);
}// TreeDisplayListener
