/*
 * Copyright (c) 2002, 2003 Red Hat, Inc. All rights reserved.
 *
 * This software may be freely redistributed under the terms of the
 * GNU General Public License.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: Liam Stewart
 * Component of: Visual Explain GUI tool for PostgreSQL - Red Hat Edition
 */

package com.redhat.rhdb.vise;

/**
 * Exception generated whenever a configuration error occurs.
 *
 * @author <a href="mailto:liams@redhat.com">Liam Stewart</a>
 * @version 0.0
 *
 * @see com.redhat.rhdb.vise.ConfigurationModel
 */
public class ConfigurationException extends Exception {

	/**
	 * Creates a new <code>ConfigurationException</code> instance.
	 *
	 */
	public ConfigurationException()
	{
		super();
	}

	/**
	 * Creates a new <code>ConfigurationException</code> instance with
	 * a given message.
	 *
	 * @param message a <code>String</code> value
	 */
	public ConfigurationException(String message)
	{
		super(message);
	}
	
}// ConfigurationException
